Name:           perl-Starlet
Version:        0.24
Release:        1%{?dist}
Summary:        Simple, high-performance PSGI/Plack HTTP server
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Starlet/
Source0:        http://www.cpan.org/authors/id/K/KA/KAZUHO/Starlet-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  /usr/bin/start_server
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.42
BuildRequires:  perl(File::Temp)
BuildRequires:  perl(IO::Socket::INET)
BuildRequires:  perl(Net::EmptyPort)
BuildRequires:  perl(Parallel::Prefork) >= 0.13
BuildRequires:  perl(Plack) >= 0.992
BuildRequires:  perl(Plack::Loader)
BuildRequires:  perl(Plack::Test)
BuildRequires:  perl(Server::Starter) >= 0.06
BuildRequires:  perl(Socket)
BuildRequires:  perl(Test::More) >= 0.88
BuildRequires:  perl(Test::TCP) >= 0.15
BuildRequires:  perl(LWP::UserAgent) >= 5.8
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)

Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
Starlet is a standalone HTTP/1.0 server with support for keep-alive, prefork,
graceful shutdown, hot deploy, fast HTTP processing, and is suitable for
running HTTP application servers behind a reverse proxy.

%prep
%setup -q -n Starlet-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Tue May 27 2014 Ralf Corsépius <corsepiu@fedoraproject.org> - 0.24-1
- Upstream update.

* Thu Apr 24 2014 Ralf Corsépius <corsepiu@fedoraproject.org> - 0.23-1
- Upstream update.

* Mon Apr 14 2014 Ralf Corsépius <corsepiu@fedoraproject.org> - 0.22-1
- Upstream update.

* Wed Apr 09 2014 Ralf Corsépius <corsepiu@fedoraproject.org> - 0.21-2
- Add BR: perl(Plack::Test) (RHBZ#1085230).
- Minor spec file modernization.

* Thu Dec 26 2013 Ralf Corsépius <corsepiu@fedoraproject.org> - 0.21-1
- Upstream update.

* Wed Aug 28 2013 Ralf Corsépius <corsepiu@fedoraproject.org> - 0.20-1
- Upstream update.

* Mon Aug 05 2013 Petr Pisar <ppisar@redhat.com> - 0.19-3
- Perl 5.18 rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.19-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Jul 08 2013 Ralf Corsépius <corsepiu@fedoraproject.org> - 0.19-1
- Upstream update.
- BR: perl(LWP::UserAgent).

* Thu Mar 21 2013 Ralf Corsépius <corsepiu@fedoraproject.org> - 0.18-1
- Upstream update.

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.16-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Mon Sep 17 2012 Ralf Corsépius <corsepiu@fedoraproject.org> - 0.16-1
- Upstream update.

* Tue Aug 14 2012 Ralf Corsépius <corsepiu@fedoraproject.org> - 0.15-1
- Upstream update.

* Sat Nov 26 2011 Ralf Corsépius <corsepiu@fedoraproject.org> 0.14-1
- Spec file cleanup.
- Abandon fedora < 15.
- Upstream update.

* Tue Jul 19 2011 Petr Sabata <contyk@redhat.com> - 0.13-3
- Perl mass rebuild

* Sun Feb 27 2011 Ralf Corsépius <corsepiu@fedoraproject.org> 0.13-2
- Add Requires: Fedora < 15's rpm misses.
- Add package reviewer's package description.
- Cosmetic spec cleanups.

* Wed Dec 22 2010 Ralf Corsépius <corsepiu@fedoraproject.org> 0.13-1
- Initial Fedora package.
